
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}
unit LiteDacReg;
{$ENDIF}

interface

procedure Register;

implementation

{$IFNDEF FPC}
  {$IFDEF VER28P}
    {$R LiteDesign28p.res}
  {$ELSE}
    {$IFDEF VER9}
      {$R LiteDesign9.res}
    {$ELSE}
      {$R LiteDesign.res}
    {$ENDIF}
    {$IFDEF VER10P}
      {$R LiteDesign10p.res}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

uses
  Classes,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DacReg, LiteDacVcl,
  LiteAccess, LiteScript,
{$IFNDEF STD}
  LiteLoader, LiteDump,
{$ENDIF}  
  LiteSQLMonitor{$IFNDEF FPC}{$IFNDEF CLR}{$IFDEF VER9P}, Windows{$ENDIF}{$ENDIF}{$ENDIF};

procedure Register;
begin
{$IFNDEF FPC}
{$IFNDEF CLR}
{$IFDEF VER9P}
  RegisterSplashScreen('Devart SQLite Data Access Components',
                       LiteDacVersion,
                       LoadBitmap(HInstance, {$IFDEF VER9}'SPLASHGR'{$ENDIF}
                                             {$IFDEF VER10}'SPLASHBL'{$ENDIF}
                                             {$IFDEF VER11}'SPLASHWH'{$ENDIF}
                                             {$IFDEF VER12}'SPLASHWH'{$ENDIF}
                                             {$IFDEF VER14P}'SPLASHBL'{$ENDIF}),
                     {$IFDEF TRIAL}
                       true, 'Trial'
                     {$ELSE} //ORIGINAL
                       false, 'Licensed'
                     {$ENDIF}
                      );
  RegisterAboutBox('Devart SQLite Data Access Components',
                   LiteDacVersion,
                   'http://www.devart.com/litedac/',
                   'Devart SQLite Data Access Components' + #13#10 +
                   'Copyright 1998 - 2024 Devart. All rights reserved.' + #13#10 +
                   'Web: www.devart.com/litedac/' + #13#10 +
                   'Support: www.devart.com/litedac/support.html',
                   LoadBitmap(HInstance, 'ABOUT'),
                 {$IFDEF TRIAL}
                   true, 'Trial'
                 {$ELSE} //ORIGINAL
                   false, 'Licensed'
                 {$ENDIF}
                   , {$IFDEF STD}'Standard edition'{$ELSE}'Professional edition'{$ENDIF});
{$ENDIF}
{$ENDIF}
{$ENDIF}
{$IFNDEF STD}
  RegisterCRBatchMove;
{$ENDIF}

  RegisterComponents('LiteDAC', [TLiteConnection]);
  RegisterComponents('LiteDAC', [TLiteQuery]);
  RegisterComponents('LiteDAC', [TLiteTable]);
  RegisterComponents('LiteDAC', [TLiteSQL]);
  RegisterComponents('LiteDAC', [TLiteScript]);
  RegisterComponents('LiteDAC', [TLiteUpdateSQL]);
  RegisterComponents('LiteDAC', [TLiteDataSource]);

{$IFNDEF STD}  
  RegisterComponents('LiteDAC', [TLiteLoader]);
  RegisterComponents('LiteDAC', [TLiteDump]);
  RegisterComponents('LiteDAC', [TLiteMetaData]);
  RegisterComponents('LiteDAC', [TLiteUserFunction]);
  RegisterComponents('LiteDAC', [TLiteUserCollation]);
  RegisterComponents('LiteDAC', [TLiteEncryptor]);
  RegisterComponents('LiteDAC', [TLiteBackup]);
{$ENDIF}

  RegisterComponents('LiteDAC', [TLiteSQLMonitor]);
  RegisterComponents('LiteDAC', [TLiteConnectDialog]);
  
end;

{$IFDEF FPC}
initialization
  {$I LiteDesign.lrs}
{$ENDIF}

end.
