
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}

unit LiteQueryEditor;
{$ENDIF}

interface

uses
  SysUtils, Classes,
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  CRTabEditor,
  DASQLComponentEditor, DASQLFrame, DAParamsFrame, DAMacrosFrame, DASPCallFrame,
  Db, DBAccess, DASQLGenerator, {$IFNDEF FPC}MemDS{$ELSE}MemDataSet{$ENDIF},
  CRFrame, DAQueryEditor;

type
  TLiteQueryEditorForm = class(TDAQueryEditorForm)
  protected
    procedure DoInit; override;
    procedure DoError(E: Exception); override;

    function GetFrameByInitProp: TCRFrame; override;
  public
    property Query;

  end;

implementation

{$IFNDEF FPC}
{$R LiteQueryEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  DAUpdateSQLFrame, DASQLGeneratorFrame, DADataTypeMapFrame, DAConditionsFrame,
  LiteParamsFrame;

{ TLiteQueryEditorForm }

procedure TLiteQueryEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TDASQLFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TLiteParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;
  FUpdateSQLFrame := AddTab(TDAUpdateSQLFrame, shEditSQL) as TDAUpdateSQLFrame;
  FSQLGeneratorFrame := AddTab(TDASQLGeneratorFrame, shGenerator) as TDASQLGeneratorFrame;
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FConditionsFrame := AddTab(TDAConditionsFrame, shConditions) as  TDAConditionsFrame;
  
  try
    // to prevent FSPCallFrame assertion failure in the TDASQLEditorForm.OnInit
    inherited;
  except
  end;
  
  Modified := False;
  shGeneratorSPC.TabVisible := false;
end;

procedure TLiteQueryEditorForm.DoError(E: Exception);
begin
  {if E is EIBCError then
    IBCSQLEditor.DoError(Self, EIBCError(E))
  else}
    inherited;
end;

function TLiteQueryEditorForm.GetFrameByInitProp: TCRFrame;
begin
  {if InitialProperty = 'SQLLock' then begin
    FUpdateSQLFrame.SetStatementType(stLock);
    Result := FUpdateSQLFrame;
  end
  else}
    Result := inherited GetFrameByInitProp;
end;

end.

