
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}

unit LiteTableEditor;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, Buttons,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DATableEditor, DATableSQLFrame, DBAccess, CRFrame, DADataTypeMapFrame, LiteTableSQLFrame, DAConditionsFrame;

type
  TLiteTableEditorForm = class(TDATableEditorForm)
  protected
    procedure DoInit; override;
    function GetSQLFrameClass: TDATableSQLFrameClass; override;
  end;

implementation

{$IFNDEF FPC}
{$R LiteTableEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TLiteTableEditorForm }

procedure TLiteTableEditorForm.DoInit;
begin
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FConditionsFrame := AddTab(TDAConditionsFrame, shConditions) as  TDAConditionsFrame;

  inherited;
end;

function TLiteTableEditorForm.GetSQLFrameClass: TDATableSQLFrameClass;
begin
  Result := TLiteTableSQLFrame;
end;

end.
