
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}

unit LiteUserFunctionEditor;
{$ENDIF}

interface

uses
  SysUtils, Classes,
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, 
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  CRTabEditor,
  DASQLComponentEditor, DAParamsFrame,
  Db, DBAccess, {$IFNDEF FPC}MemDS{$ELSE}MemDataSet{$ENDIF},
  LiteParamsFrame, LiteAccess;

{$IFNDEF STD}
type
  TLiteUserFunctionEditorForm = class(TCRTabEditorForm)
    shParameters: TTabSheet;
  protected
    FParamsFrame: TDAParamsFrame;
    FLocalFunction, FFunction: TCustomLiteUserFunction;

    procedure DoInit; override;
    procedure DoFinish; override;
    procedure DoSave; override;
    
    function GetComponent: TComponent; override;
    procedure SetComponent(Value: TComponent); override;
    function GetLocalComponent: TComponent; override;

  public
  end;
{$ENDIF}

implementation

{$IFNDEF FPC}
{$R LiteUserFunctionEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TLiteUserFunctionEditorForm }

{$IFNDEF STD}
procedure TLiteUserFunctionEditorForm.DoFinish;
begin
  FLocalFunction.Free;
  FLocalFunction := nil;
  inherited;
end;

procedure TLiteUserFunctionEditorForm.DoInit;
begin
  inherited;
  
  FLocalFunction := TComponentClass(FFunction.ClassType).Create(nil) as TCustomLiteUserFunction;
  FLocalFunction.Assign(FFunction);

  FParamsFrame := AddTab(TLiteParamsFrame, shParameters) as TDAParamsFrame;
  FParamsFrame.lbParamType.Visible := false;
  FParamsFrame.cbParamType.Visible := false;
  FParamsFrame.lbPValue.Visible := false;
  FParamsFrame.edValue.Visible := false;
  FParamsFrame.lbNullValue.Visible := false;
  FParamsFrame.cbNullValue.Visible := false;
  FParamsFrame.bEdValue.Visible := false;
  
  Modified := False;
end;

procedure TLiteUserFunctionEditorForm.DoSave;
begin
  FFunction.Assign(FLocalFunction);
end;

function TLiteUserFunctionEditorForm.GetComponent: TComponent;
begin
  Result := FFunction;
end;

function TLiteUserFunctionEditorForm.GetLocalComponent: TComponent;
begin
  Result := FLocalFunction;
end;

procedure TLiteUserFunctionEditorForm.SetComponent(Value: TComponent);
begin
  FFunction := Value as TCustomLiteUserFunction;
end;
{$ENDIF}

end.

